## Class TDatePickerMode

Description

TDatePickerMode class.

TDatePickerMode defines the enumerable type for the possible UI mode that a TDatePicker control can take.

The following enumerable values are defined:

- Basic: Only shows a text input, focusing on the input shows the date picker
- Button: Shows a button next to the text input, clicking on the button shows the date, button text can be by the
- ImageButton: Shows an image next to the text input, clicking on the image shows the date picker,

- since: 3.0.4
- version: $Id: TDatePicker.php 2372 2008-02-05 14:26:24Z tof $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDatePicker.php (line 919)

    TEnumerable
       |
       --TDatePickerMode

Class Constant Summary
Basic = 'Basic'
Button = 'Button'
ImageButton = 'ImageButton'
Class Constants
Basic = 'Basic' (line 921)
Button = 'Button' (line 922)
ImageButton = 'ImageButton' (line 923)

Documentation generated on Mon, 21 Apr 2008 11:34:49 -0400 by phpDocumentor 1.3.0RC4